@ECHO OFF
REM/*
REM * Copyright (c) 2002 Standard Performance Evaluation Corporation (SPEC)
REM *               All rights reserved.
REM * Copyright (c) 2002 IBM Corporation, Inc. All rights reserved.
REM *
REM * This source code is provided as is, without any express or implied warranty.
REM *
REM * US Government Users Restricted Rights,
REM * Use, duplication or disclosure restricted
REM * by GSA ADP Schedule Contract with IBM Corp.
REM *
REM * IBM MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
REM * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
REM * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
REM * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR
REM * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
REM * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
REM *
REM *  History:
REM *  Date        ID        Description
REM *  ----------  ---       ----------------------------------------------------
REM *  2002/05/15  Hogstrom  Initial version
REM *  2002/09/23  russellr  (020912) - Replaced slash (/) with back-slash (\) in 
REM *                        batch files.
REM *
REM */
REM
REM This file invokes the launcher program which starts the driver of SPECjAppServer.
REM
REM - Hogstrom 5/15/2002
REM
@ECHO OFF

            
set JAVA_HOME=\j2sdk1.4.2_04
set JAS_HOME=\SPECjAppServer2002
set CONFIG_DIR=%JAS_HOME%\config
set APPSSERVER=wls_81
set ENVFILE=%CONFIG_DIR%\%APPSSERVER%.env

Echo The following environment settings are in effect for SPECjAppServer 2002
Echo * ========================= *
Echo    JAVA_HOME=%JAVA_HOME%
Echo     JAS_HOME=%JAS_HOME%
Echo   CONFIG_DIR=%CONFIG_DIR%
Echo   APPSSERVER=%APPSSERVER%
Echo * ========================= *
            
if .%JAVA_HOME%. == .. Goto EnvNotSet


echo "Apps server is %APPSSERVER%"


REM This set command is needed so we can propogate the environment on Windows                      
set > winprops.txt



%JAVA_HOME%\bin\java -classpath %JAS_HOME%\jars\launcher.jar -Djava.compiler=jitc -Dspecjappserver.home=%JAS_HOME% -Dnode.name=%COMPUTERNAME% org.spec.jappserver.launcher.Script Driver %*

REM Delete the temporary file when were done

Goto Done

:EnvNotSet
Echo Environment not set...please update the environment values in driver.bat to 
Echo appropriate values and start again.

:Done
